CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

The Consumer Base URL module provides base URL per consumer and use it for
entity canonical URLs, URL tokens and other stuff.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/consumer_base_url

 * To submit bug reports and feature suggestions, or track changes:
   https://www.drupal.org/project/issues/consumer_base_url


REQUIREMENTS
------------

This module requires the following modules:

 * [Consumers](https://www.drupal.org/project/consumers)
 * Pathalias (Core)


INSTALLATION
------------
 
 * Install as you would normally install a contributed Drupal module. Visit
   https://www.drupal.org/node/895232/ for further information.


CONFIGURATION
-------------
 * Go to Manage > Configuration > Web-Services > Consumers.
 * Edit consumer you want to add a base URL for.
 * Add base URL in following format https://example.com.
 * Save consumer.
 * Maybe you have to clear caches if you add/edit a base URL for an 
   existing consumer.


MAINTAINERS
-----------

Current maintainers:
 * Steffen Schlaer (IT-Cru) - https://www.drupal.org/u/IT-Cru
